<?php
// This file should be in UTF8 without BOM - Accents examples: éèê
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2021 Advisto SAS, service PEEL - contact@peel.fr  |
// +----------------------------------------------------------------------+
// | This file is part of PEEL Shopping 9.4.0, which is subject to an	  |
// | opensource GPL license: you are allowed to customize the code		  |
// | for your own needs, but must keep your changes under GPL			  |
// | More information: https://www.peel.fr/lire/licence-gpl-70.html		  |
// +----------------------------------------------------------------------+
// | Author: Advisto SAS, RCS 479 205 452, France, https://www.peel.fr/	  |
// +----------------------------------------------------------------------+
// $Id: database_pays_en.php 66961 2021-05-24 13:26:45Z sdelaporte $

if (!defined("IN_PEEL")) {
	die();
}

// The keys shall have quotes so that they are correcly treated by Transifex : write  "1" => ... and not 1 => ...
// Les clés doivent avoir des guillemets pour que ce soit traité correctement par Transifex : indiquez "1" => ... et non pas 1 => ...

$peel_pays["pays"] = array(
  "FRA" => "France",
  "AFG" => "Afghanistan",
  "ZAF" => "South Africa",
  "ALB" => "Albania",
  "DZA" => "Algeria",
  "DEU" => "Germany",
  "SAU" => "Saudi Arabia",
  "ARG" => "Argentina",
  "AUS" => "Australia",
  "AUT" => "Austria",
  "BEL" => "Belgium",
  "BRA" => "Brazil",
  "BGR" => "Bulgaria",
  "CAN" => "Canada",
  "CHL" => "Chile",
  "CHN" => "China",
  "COL" => "Colombia",
  "KOR" => "Korea (Republic of) (South)",
  "CRI" => "Costa Rica",
  "HRV" => "Croatia",
  "DNK" => "Denmark",
  "EGY" => "Egypt",
  "ARE" => "United Arab Emirates",
  "ECU" => "Ecuador",
  "USA" => "USA (United States of America)",
  "SLV" => "El Salvador",
  "ESP" => "Spain",
  "FIN" => "Finland",
  "GRC" => "Greece",
  "HKG" => "Hong Kong",
  "HUN" => "Hungary",
  "IND" => "India",
  "IDN" => "Indonesia",
  "IRL" => "Ireland",
  "ISR" => "Israel",
  "ITA" => "Italy",
  "JPN" => "Japan",
  "JOR" => "Jordan",
  "LBN" => "Lebanon",
  "MYS" => "Malaysia",
  "MAR" => "Morocco",
  "MEX" => "Mexico",
  "NOK" => "Norway",
  "NZL" => "New Zealand",
  "PER" => "Peru",
  "PAK" => "Pakistan",
  "NLD" => "Netherlands",
  "PHL" => "Philippines",
  "POL" => "Poland",
  "PRI" => "Puerto Rico",
  "PRT" => "Portugal",
  "CZE" => "Czech (Rep.)",
  "ROU" => "Romania",
  "GBR" => "United Kingdom (UK)",
  "RUS" => "Russia",
  "SGP" => "Singapore",
  "SWE" => "Sweden",
  "CHE" => "Switzerland",
  "TWN" => "Taiwan",
  "THA" => "Thailand",
  "TUR" => "Turkey",
  "UKR" => "Ukraine",
  "VEN" => "Venezuela",
  "SRB" => "Serbia",
  "AND" => "Andorra",
  "AGO" => "Angola",
  "AIA" => "Anguilla",
  "ATA" => "Antarctica",
  "ATG" => "Antigua and Barbuda",
  "ARM" => "Armenia",
  "ABW" => "Aruba",
  "AZE" => "Azerbaijan",
  "BHS" => "Bahamas, The",
  "BHR" => "Bahrain",
  "BGD" => "Bangladesh",
  "BLR" => "Belarus",
  "BLZ" => "Belize",
  "BEN" => "Benin",
  "BMU" => "Bermuda",
  "BTN" => "Bhutan",
  "BOL" => "Bolivia",
  "BIH" => "Bosnia and Herzegovina",
  "BWA" => "Botswana",
  "BVT" => "Norway - Bouvet Island",
  "IOT" => "British Indian Ocean Territory - Diego Garcia",
  "VGB" => "Virgin Islands, British (Tortola)",
  "BRN" => "Brunei",
  "BFA" => "Burkina Faso",
  "BDI" => "Burundi",
  "KHM" => "Cambodia",
  "CMR" => "Cameroon",
  "CPV" => "Cape Verde",
  "CYM" => "Cayman (Islands)",
  "CAF" => "Central African Republic",
  "TCD" => "Chad",
  "CXR" => "Australia - Christmas Island",
  "CCK" => "Australia - Cocos (Keeling) Islands",
  "COM" => "Comoros",
  "COG" => "Congo",
  "COK" => "Cook Islands",
  "CUB" => "Cuba",
  "CYP" => "Cyprus",
  "DJI" => "Djibouti",
  "DMA" => "Dominica",
  "DOM" => "Dominican (Republic)",
  "TLS" => "East Timor - Leste",
  "GNQ" => "Equatorial Guinea",
  "ERI" => "Eritrea",
  "EST" => "Estonia",
  "ETH" => "Ethiopia",
  "FLK" => "Falkland Islands (Malvinas)",
  "FRO" => "Faroe Islands",
  "FJI" => "Fiji",
  "GUF" => "France - Guiana",
  "PYF" => "France - Polynesia",
  "ATF" => "France - Southern Territories",
  "GAB" => "Gabon",
  "GMB" => "Gambia",
  "GEO" => "Georgia",
  "GHA" => "Ghana",
  "GIB" => "Gibraltar",
  "GRL" => "Greenland",
  "GRD" => "Grenada",
  "GLP" => "France - Guadeloupe",
  "GUM" => "Guam",
  "GTM" => "Guatemala",
  "GIN" => "Guinea",
  "GNB" => "Guinea-Bissau",
  "HTI" => "Haiti",
  "HMD" => "Australia - Heard and McDonald (Islands)",
  "HND" => "Honduras",
  "ISL" => "Iceland",
  "IRN" => "Iran (Islamic Rep. of)",
  "IRQ" => "Iraq",
  "CIV" => "Ivory Coast",
  "JAM" => "Jamaica",
  "KAZ" => "Kazakhstan",
  "KEN" => "Kenya",
  "KIR" => "Kiribati",
  "KWT" => "Kuwait",
  "KGZ" => "Kyrgyzstan",
  "LAO" => "Laos (People's Democratic Rep. of)",
  "LVA" => "Latvia",
  "LSO" => "Lesotho",
  "LBR" => "Liberia",
  "LBY" => "Libya (Libyan Arab Jamahiriya)",
  "LIE" => "Liechtenstein",
  "LTU" => "Lithuania",
  "LUX" => "Luxembourg",
  "MAC" => "Macau",
  "MKD" => "Macedonia (F.Y.R.O.M.)",
  "MDG" => "Madagascar",
  "MWI" => "Malawi",
  "MDV" => "Maldives (Islands)",
  "MLI" => "Mali",
  "MLT" => "Malta",
  "MHL" => "Marshall Islands",
  "MTQ" => "France - Martinique",
  "MRT" => "Mauritania",
  "MUS" => "Mauritius (Island)",
  "MYT" => "France - Mayotte",
  "FSM" => "Micronesia",
  "MDA" => "Moldova",
  "MCO" => "Monaco",
  "MNG" => "Mongolia",
  "MSR" => "Montserrat",
  "MOZ" => "Mozambique",
  "MMR" => "Myanmar (Burma)",
  "NAM" => "Namibia",
  "NRU" => "Nauru",
  "NPL" => "Nepal",
  "NCL" => "France - New Caledonia",
  "NIC" => "Nicaragua",
  "NER" => "Niger",
  "NGA" => "Nigeria",
  "NIU" => "Niue",
  "NFK" => "Australia - Norfolk Island",
  "MNP" => "Northern Marianas (Islands)",
  "OMN" => "Oman",
  "PLW" => "Palau",
  "PAN" => "Panama",
  "PNG" => "Papua New Guinea",
  "PRY" => "Paraguay",
  "PCN" => "Pitcairn Islands",
  "QAT" => "Qatar",
  "REU" => "France - Réunion",
  "RWA" => "Rwanda",
  "SGS" => "South Georgia and the South Sandwich Islands",
  "KNA" => "Saint Kitts and Nevis",
  "LCA" => "Saint Lucia",
  "VCT" => "Saint Vincent and the Grenadines",
  "WSM" => "Samoa",
  "SMR" => "San Marino",
  "STP" => "Sao Tome and Principe",
  "SEN" => "Senegal",
  "SYC" => "Seychelles (Islands)",
  "SLE" => "Sierra Leone",
  "SVK" => "Slovakia (Republic)",
  "SVN" => "Slovenia",
  "SOM" => "Somalia",
  "LKA" => "Sri Lanka",
  "SHN" => "Saint Helena",
  "SPM" => "France - Saint-Pierre and Miquelon",
  "SDN" => "Sudan",
  "SUR" => "Suriname",
  "SJM" => "Norway - Svalbard and Jan Mayen",
  "SWZ" => "Swaziland",
  "SYR" => "Syria",
  "TJK" => "Tajikistan (Republic of)",
  "TZA" => "Tanzania",
  "TGO" => "Togo",
  "TKL" => "New Zealand - Tokelau",
  "TON" => "Tonga",
  "TTO" => "Trinidad and Tobago",
  "TUN" => "Tunisia",
  "TKM" => "Turkmenistan",
  "TCA" => "Turks and Caicos Islands",
  "TUV" => "Tuvalu",
  "UMI" => "USA: Minor Outlying Islands",
  "UGA" => "Uganda",
  "URY" => "Uruguay",
  "UZB" => "Uzbekistan",
  "VUT" => "Vanuatu",
  "VAT" => "Vatican",
  "VNM" => "Vietnam",
  "VIR" => "Virgin Islands (USA)",
  "WLF" => "France - Wallis and Futuna",
  "ESH" => "Western Sahara",
  "YEM" => "Yemen (Rep. of)",
  "COD" => "Congo Zaire (Dem. Rep.)",
  "ZMB" => "Zambia",
  "ZWE" => "Zimbabwe",
  "BRB" => "Barbados",
  "MNE" => "Montenegro"
);

