<?php
// This file should be in UTF8 without BOM - Accents examples: éèê
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2021 Advisto SAS, service PEEL - contact@peel.fr  |
// +----------------------------------------------------------------------+
// | This file is part of PEEL Shopping 9.4.0, which is subject to an	  |
// | opensource GPL license: you are allowed to customize the code		  |
// | for your own needs, but must keep your changes under GPL			  |
// | More information: https://www.peel.fr/lire/licence-gpl-70.html		  |
// +----------------------------------------------------------------------+
// | Author: Advisto SAS, RCS 479 205 452, France, https://www.peel.fr/	  |
// +----------------------------------------------------------------------+
// $Id: database_pays_fr.php 66961 2021-05-24 13:26:45Z sdelaporte $

if (!defined("IN_PEEL")) {
	die();
}

// The keys shall have quotes so that they are correcly treated by Transifex : write  "1" => ... and not 1 => ...
// Les clés doivent avoir des guillemets pour que ce soit traité correctement par Transifex : indiquez "1" => ... et non pas 1 => ...


$peel_pays["pays"] = array(
  "FRA" => "France",
  "AFG" => "Afghanistan",
  "ZAF" => "Afrique du sud",
  "ALB" => "Albanie",
  "DZA" => "Algérie",
  "DEU" => "Allemagne",
  "SAU" => "Arabie saoudite",
  "ARG" => "Argentine",
  "AUS" => "Australie",
  "AUT" => "Autriche",
  "BEL" => "Belgique",
  "BRA" => "Brésil",
  "BGR" => "Bulgarie",
  "CAN" => "Canada",
  "CHL" => "Chili",
  "CHN" => "Chine (Rép. pop.)",
  "COL" => "Colombie",
  "KOR" => "Corée du Sud",
  "CRI" => "Costa Rica",
  "HRV" => "Croatie",
  "DNK" => "Danemark",
  "EGY" => "Egypte",
  "ARE" => "Emirats arabes unis",
  "ECU" => "Equateur",
  "USA" => "Etats-Unis",
  "SLV" => "El Salvador",
  "ESP" => "Espagne",
  "FIN" => "Finlande",
  "GRC" => "Grèce",
  "HKG" => "Hong Kong",
  "HUN" => "Hongrie",
  "IND" => "Inde",
  "IDN" => "Indonésie",
  "IRL" => "Irlande",
  "ISR" => "Israël",
  "ITA" => "Italie",
  "JPN" => "Japon",
  "JOR" => "Jordanie",
  "LBN" => "Liban",
  "MYS" => "Malaisie",
  "MAR" => "Maroc",
  "MEX" => "Mexique",
  "NOK" => "Norvége",
  "NZL" => "Nouvelle-Zélande",
  "PER" => "Pérou",
  "PAK" => "Pakistan",
  "NLD" => "Pays-Bas",
  "PHL" => "Philippines",
  "POL" => "Pologne",
  "PRI" => "Porto Rico",
  "PRT" => "Portugal",
  "CZE" => "Tchèque (Rep.)",
  "ROU" => "Roumanie",
  "GBR" => "Royaume-Uni (UK)",
  "RUS" => "Russie",
  "SGP" => "Singapour",
  "SWE" => "Suède",
  "CHE" => "Suisse",
  "TWN" => "Taiwan",
  "THA" => "Thailande",
  "TUR" => "Turquie",
  "UKR" => "Ukraine",
  "VEN" => "Venezuela",
  "SRB" => "Serbie",
  "AND" => "Andorre",
  "AGO" => "Angola",
  "AIA" => "Anguilla",
  "ATA" => "Antarctique",
  "ATG" => "Antigua et Barbuda",
  "ARM" => "Arménie",
  "ABW" => "Aruba",
  "AZE" => "Azerbaidjan",
  "BHS" => "Bahamas",
  "BHR" => "Bahrein",
  "BGD" => "Bangladesh",
  "BLR" => "Biélorussie",
  "BLZ" => "Belize",
  "BEN" => "Bénin",
  "BMU" => "Bermudes (Les)",
  "BTN" => "Bhoutan",
  "BOL" => "Bolivie",
  "BIH" => "Bosnie-Herzégovine",
  "BWA" => "Botswana",
  "BVT" => "Norvège - Bouvet (Ile)",
  "IOT" => "Terr. Brit. de l'Océan Indien - Diego Garcia",
  "VGB" => "Vierges britanniques (Iles)",
  "BRN" => "Brunei",
  "BFA" => "Burkina Faso",
  "BDI" => "Burundi",
  "KHM" => "Cambodge",
  "CMR" => "Cameroun",
  "CPV" => "Cap Vert",
  "CYM" => "Cayman (Iles)",
  "CAF" => "Centrafricaine (Rep.)",
  "TCD" => "Tchad",
  "CXR" => "Australie - Christmas (Ile)",
  "CCK" => "Australie - Cocos (Keeling) (Iles)",
  "COM" => "Comores",
  "COG" => "Congo",
  "COK" => "Cook (Iles)",
  "CUB" => "Cuba",
  "CYP" => "Chypre",
  "DJI" => "Djibouti",
  "DMA" => "Dominique",
  "DOM" => "Dominicaine (Rep.)",
  "TLS" => "Timor oriental",
  "GNQ" => "Guinée Equatoriale",
  "ERI" => "Erythrée",
  "EST" => "Estonie",
  "ETH" => "Ethiopie",
  "FLK" => "Falkland (Iles Malouines)",
  "FRO" => "Féroé (Iles)",
  "FJI" => "Fidji (République des)",
  "GUF" => "France - Guyane",
  "PYF" => "France - Polynésie",
  "ATF" => "France - Terres australes",
  "GAB" => "Gabon",
  "GMB" => "Gambie",
  "GEO" => "Géorgie",
  "GHA" => "Ghana",
  "GIB" => "Gibraltar",
  "GRL" => "Groenland",
  "GRD" => "Grenade",
  "GLP" => "France - Guadeloupe",
  "GUM" => "Guam",
  "GTM" => "Guatemala",
  "GIN" => "Guinée",
  "GNB" => "Guinée-Bissau",
  "HTI" => "Haiti",
  "HMD" => "Australie - Heard et McDonald (Iles)",
  "HND" => "Honduras",
  "ISL" => "Islande",
  "IRN" => "Iran",
  "IRQ" => "Irak",
  "CIV" => "Côte d'Ivoire",
  "JAM" => "Jamaique",
  "KAZ" => "Kazakhstan",
  "KEN" => "Kenya",
  "KIR" => "Kiribati",
  "KWT" => "Koweit",
  "KGZ" => "Kirghizistan",
  "LAO" => "Laos",
  "LVA" => "Lettonie",
  "LSO" => "Lesotho",
  "LBR" => "Libéria",
  "LBY" => "Libye",
  "LIE" => "Liechtenstein",
  "LTU" => "Lituanie",
  "LUX" => "Luxembourg",
  "MAC" => "Macao",
  "MKD" => "Macédoine",
  "MDG" => "Madagascar",
  "MWI" => "Malawi",
  "MDV" => "Maldives (Iles)",
  "MLI" => "Mali",
  "MLT" => "Malte",
  "MHL" => "Marshall (Iles)",
  "MTQ" => "France - Martinique",
  "MRT" => "Mauritanie",
  "MUS" => "Maurice",
  "MYT" => "France - Mayotte",
  "FSM" => "Micronésie (Etats fédérés de)",
  "MDA" => "Moldavie",
  "MCO" => "Monaco",
  "MNG" => "Mongolie",
  "MSR" => "Montserrat",
  "MOZ" => "Mozambique",
  "MMR" => "Myanmar",
  "NAM" => "Namibie",
  "NRU" => "Nauru",
  "NPL" => "Nepal",
  "NCL" => "France - Nouvelle Calédonie",
  "NIC" => "Nicaragua",
  "NER" => "Niger",
  "NGA" => "Nigeria",
  "NIU" => "Niue",
  "NFK" => "Australie - Norfolk (Ile)",
  "MNP" => "Mariannes du Nord (Iles)",
  "OMN" => "Oman",
  "PLW" => "Palau",
  "PAN" => "Panama",
  "PNG" => "Papouasie-Nouvelle-Guinée",
  "PRY" => "Paraguay",
  "PCN" => "Pitcairn (Iles)",
  "QAT" => "Qatar",
  "REU" => "France - Réunion",
  "RWA" => "Rwanda",
  "SGS" => "Géorgie du Sud et Sandwich du Sud (Iles)",
  "KNA" => "Saint-Kitts et Nevis",
  "LCA" => "Sainte Lucie",
  "VCT" => "Saint-Vincent-et-Grenadines",
  "WSM" => "Samoa",
  "SMR" => "Saint-Marin (Rép. de)",
  "STP" => "Sao Tome et Principe (Rép.)",
  "SEN" => "Sénégal",
  "SYC" => "Seychelles",
  "SLE" => "Sierra Leone",
  "SVK" => "Slovaquie",
  "SVN" => "Slovénie",
  "SOM" => "Somalie",
  "LKA" => "Sri Lanka",
  "SHN" => "Sainte Hélène",
  "SPM" => "France - Saint-Pierre-et-Miquelon",
  "SDN" => "Soudan",
  "SUR" => "Suriname",
  "SJM" => "Norvège - Svalbard et Jan Mayen (Iles)",
  "SWZ" => "Swaziland",
  "SYR" => "Syrie",
  "TJK" => "Tadjikistan",
  "TZA" => "Tanzanie",
  "TGO" => "Togo",
  "TKL" => "Nouvelle-Zélande - Tokelau",
  "TON" => "Tonga",
  "TTO" => "Trinité et Tobago",
  "TUN" => "Tunisie",
  "TKM" => "Turkménistan",
  "TCA" => "Turks et Caïques (Iles)",
  "TUV" => "Tuvalu",
  "UMI" => "Etats-Unis : Iles mineures éloignées",
  "UGA" => "Ouganda",
  "URY" => "Uruguay",
  "UZB" => "Ouzbékistan",
  "VUT" => "Vanuatu",
  "VAT" => "Vatican (Etat du)",
  "VNM" => "Vietnam",
  "VIR" => "Vierges Américaines (Iles)",
  "WLF" => "France - Wallis et Futuna",
  "ESH" => "Sahara Occidental",
  "YEM" => "Yemen",
  "COD" => "Congo Zaïre (Rep. Dem.)",
  "ZMB" => "Zambie",
  "ZWE" => "Zimbabwe",
  "BRB" => "Barbade",
  "MNE" => "Monténégro"
);
