<?php
// This file should be in UTF8 without BOM - Accents examples: éèê
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2021 Advisto SAS, service PEEL - contact@peel.fr  |
// +----------------------------------------------------------------------+
// | This file is part of PEEL Shopping 9.4.0, which is subject to an	  |
// | opensource GPL license: you are allowed to customize the code		  |
// | for your own needs, but must keep your changes under GPL			  |
// | More information: https://www.peel.fr/lire/licence-gpl-70.html		  |
// +----------------------------------------------------------------------+
// | Author: Advisto SAS, RCS 479 205 452, France, https://www.peel.fr/	  |
// +----------------------------------------------------------------------+
// $Id: database_pays_nl.php 66961 2021-05-24 13:26:45Z sdelaporte $

if (!defined("IN_PEEL")) {
	die();
}

// The keys shall have quotes so that they are correcly treated by Transifex : write  "1" => ... and not 1 => ...
// Les clés doivent avoir des guillemets pour que ce soit traité correctement par Transifex : indiquez "1" => ... et non pas 1 => ...

$peel_pays["pays"] = array(
  "FRA" => "Frankrijk",
  "AFG" => "Afghanistan",
  "ZAF" => "Zuid-Afrika",
  "ALB" => "Albanië",
  "DZA" => "Algerije",
  "DEU" => "Duitsland",
  "SAU" => "Saoedi-Arabië",
  "ARG" => "Argentinië",
  "AUS" => "Australië",
  "AUT" => "Oostenrijk",
  "BEL" => "België",
  "BRA" => "Brazilië",
  "BGR" => "Bulgarije",
  "CAN" => "Canada",
  "CHL" => "Chili",
  "CHN" => "China (People's Rep).",
  "COL" => "Colombia",
  "KOR" => "Zuid-Korea",
  "CRI" => "Costa Rica",
  "HRV" => "Kroatië",
  "DNK" => "Denemarken",
  "EGY" => "Egypte",
  "ARE" => "Verenigde Arabische Emiraten",
  "ECU" => "Ecuador",
  "USA" => "Verenigde Staten",
  "SLV" => "El Salvador",
  "ESP" => "Spanje",
  "FIN" => "Finland",
  "GRC" => "Griekenland",
  "HKG" => "Hong Kong",
  "HUN" => "Hongarije",
  "IND" => "India",
  "IDN" => "Indonesië",
  "IRL" => "Ierland",
  "ISR" => "Israël",
  "ITA" => "Italië",
  "JPN" => "Japan",
  "JOR" => "Jordan",
  "LBN" => "Libanon",
  "MYS" => "Maleisië",
  "MAR" => "Marokko",
  "MEX" => "Mexico",
  "NOK" => "Noorwegen",
  "NZL" => "Nieuw-Zeeland",
  "PER" => "Peru",
  "PAK" => "Pakistan",
  "NLD" => "Nederland",
  "PHL" => "Filipijnen",
  "POL" => "Polen",
  "PRI" => "Puerto Rico",
  "PRT" => "Portugal",
  "CZE" => "Tsjechisch (Rep)",
  "ROU" => "Roemenië",
  "GBR" => "Verenigd Koninkrijk (UK)",
  "RUS" => "Rusland",
  "SGP" => "Singapore",
  "SWE" => "Zweden",
  "CHE" => "Zwitserland",
  "TWN" => "Taiwan",
  "THA" => "Thailand",
  "TUR" => "Turkije",
  "UKR" => "Oekraïne",
  "VEN" => "Venezuela",
  "SRB" => "Servië",
  "AND" => "Andorra",
  "AGO" => "Angola",
  "AIA" => "Anguilla",
  "ATA" => "Antarctica",
  "ATG" => "Antigua en Barbuda",
  "ARM" => "Armenia",
  "ABW" => "Aruba",
  "AZE" => "Azerbeidzjan",
  "BHS" => "Bahamas",
  "BHR" => "Bahrein",
  "BGD" => "Bangladesh",
  "BLR" => "Wit-Rusland",
  "BLZ" => "Belize",
  "BEN" => "Benin",
  "BMU" => "Bermuda (The)",
  "BTN" => "Bhutan",
  "BOL" => "Bolivia",
  "BIH" => "Bosnië en Herzegovina",
  "BWA" => "Botswana",
  "BVT" => "Noorwegen - Bouvet (eiland)",
  "IOT" => ".. Terr Brit Indische Oceaan - Diego Garcia",
  "VGB" => "Britse Maagdeneilanden ()",
  "BRN" => "Brunei",
  "BFA" => "Burkina Faso",
  "BDI" => "Burundi",
  "KHM" => "Cambodia",
  "CMR" => "Kameroen",
  "CPV" => "Kaapverdië",
  "CYM" => "Cayman (eilanden)",
  "CAF" => "Central (Rep)",
  "TCD" => "Chad",
  "CXR" => "Australië - Kerstmis (Island)",
  "CCK" => "Australië - Cocos (Keeling) Islands ()",
  "COM" => "Comoren",
  "COG" => "Congo",
  "COK" => "Cook (Eilanden)",
  "CUB" => "Cuba",
  "CYP" => "Cyprus",
  "DJI" => "Djibouti",
  "DMA" => "Dominica",
  "DOM" => "Dominicaanse (Rep.)",
  "TLS" => "Oost-Timor",
  "GNQ" => "Equatoriaal-Guinea",
  "ERI" => "Erythr",
  "EST" => "Estland",
  "ETH" => "Ethiopië",
  "FLK" => "Falklandeilanden (Malvinas)",
  "FRO" => "Faeröer ()",
  "FJI" => "Fiji (Republiek)",
  "GUF" => "Frankrijk - Guyana",
  "PYF" => "Frankrijk - Polynesië",
  "ATF" => "Frankrijk - Zuidelijke Gebieden",
  "GAB" => "Gabon",
  "GMB" => "Gambia",
  "GEO" => "Georgia",
  "GHA" => "Ghana",
  "GIB" => "Gibraltar",
  "GRL" => "Groenland",
  "GRD" => "Grenada",
  "GLP" => "Frankrijk - Guadeloupe",
  "GUM" => "Guam",
  "GTM" => "Guatemala",
  "GIN" => "Guin",
  "GNB" => "Guinee-Bissau",
  "HTI" => "Haïti",
  "HMD" => "Australië - Heard en McDonald (eilanden)",
  "HND" => "Honduras",
  "ISL" => "IJsland",
  "IRN" => "Iran",
  "IRQ" => "Irak",
  "CIV" => "Ivoorkust",
  "JAM" => "Jamaica",
  "KAZ" => "Kazachstan",
  "KEN" => "Kenya",
  "KIR" => "Kiribati",
  "KWT" => "Kuwait",
  "KGZ" => "Kirgizië",
  "LAO" => "Laos",
  "LVA" => "Letland",
  "LSO" => "Lesotho",
  "LBR" => "Liberia",
  "LBY" => "Libië",
  "LIE" => "Liechtenstein",
  "LTU" => "Litouwen",
  "LUX" => "Luxemburg",
  "MAC" => "Macao",
  "MKD" => "Macedonië",
  "MDG" => "Madagascar",
  "MWI" => "Malawi",
  "MDV" => "Malediven (eilanden)",
  "MLI" => "Mali",
  "MLT" => "Malta",
  "MHL" => "Marshall (eilanden)",
  "MTQ" => "Frankrijk - Martinique",
  "MRT" => "Mauritanië",
  "MUS" => "Maurice",
  "MYT" => "Frankrijk - Mayotte",
  "FSM" => "Micronesië (Federale Staten van)",
  "MDA" => "Moldavië",
  "MCO" => "Monaco",
  "MNG" => "Mongolia",
  "MSR" => "Montserrat",
  "MOZ" => "Mozambique",
  "MMR" => "Myanmar",
  "NAM" => "Namibië",
  "NRU" => "Nauru",
  "NPL" => "Nepal",
  "NCL" => "Frankrijk - Nieuw-Caledonië",
  "NIC" => "Nicaragua",
  "NER" => "Niger",
  "NGA" => "Nigeria",
  "NIU" => "Niue",
  "AUS" => "Australië - Norfolk (Eiland)",
  "MNP" => "Noordelijke Marianen ()",
  "OMN" => "Oman",
  "PLW" => "Palau",
  "PAN" => "Panama",
  "PNG" => "Papoea-Nieuw-Guinea",
  "PRY" => "Paraguay",
  "PCN" => "Pitcairn (eiland)",
  "QAT" => "Qatar",
  "REU" => "Frankrijk - Reunion",
  "RWA" => "Rwanda",
  "SGS" => "Zuid-Georgië en de Zuidelijke Sandwicheilanden ()",
  "KNA" => "Saint Kitts en Nevis",
  "LCA" => "Saint Lucia",
  "VCT" => "Saint Vincent en de Grenadines",
  "WSM" => "Samoa",
  "SMR" => "San Marino (Rep)",
  "STP" => "Sao Tome en Principe (Republiek)",
  "SEN" => "Senegal",
  "SYC" => "de Seychellen",
  "SLE" => "Sierra Leone",
  "SVK" => "Slowakije",
  "SVN" => "Slovenië",
  "SOM" => "Somalië",
  "LKA" => "Sri Lanka",
  "SHN" => "St. Helena",
  "SPM" => "Frankrijk - Saint-Pierre en Miquelon",
  "SDN" => "Sudan",
  "SUR" => "Suriname",
  "SJM" => "Noorwegen - Svalbard en Jan Mayen (Island)",
  "SWZ" => "Swaziland",
  "SYR" => "Syrië",
  "TJK" => "Tadzjikistan",
  "TZA" => "Tanzania",
  "TGO" => "Togo",
  "TKL" => "Nieuw-Zeeland - Tokelau",
  "TON" => "Tonga",
  "TTO" => "Trinidad en Tobago",
  "TUN" => "Tunesië",
  "TKM" => "Turkmenistan",
  "TCA" => "Turks-en Caicoseilanden (eilanden)",
  "TUV" => "Tuvalu",
  "UMI" => "VS: Kleine afgelegen eilanden",
  "UGA" => "Uganda",
  "URY" => "Uruguay",
  "UZB" => "Oezbekistan",
  "VUT" => "Vanuatu",
  "VAT" => "Vaticaanstad (staat)",
  "VNM" => "Vietnam",
  "VIR" => "American Virgin (Islands)",
  "WLF" => "Frankrijk - Wallis en Futuna",
  "ESH" => "Westelijke Sahara",
  "YEM" => "Jemen",
  "COD" => "Congo Zaïre (Dem. Rep).",
  "ZMB" => "Zambia",
  "ZWE" => "Zimbabwe",
  "BRB" => "Barbados",
  "MNE" => "Montenegro"
);

