<?php
// This file should be in UTF8 without BOM - Accents examples: éèê
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2012 Advisto SAS, service PEEL - contact@peel.fr  |
// +----------------------------------------------------------------------+
// | This file is part of PEEL Shopping 9.4.0, which is subject to an	  |
// | opensource GPL license: you are allowed to customize the code		  |
// | for your own needs, but must keep your changes under GPL			  |
// | More information: https://www.peel.fr/lire/licence-gpl-70.html		 |
// +----------------------------------------------------------------------+
// | Author: Advisto SAS, RCS 479 205 452, France, https://www.peel.fr/	 |
// +----------------------------------------------------------------------+
// $Id: database_pays_ro.php 66961 2021-05-24 13:26:45Z sdelaporte $

if (!defined("IN_PEEL")) {
	die();
}

// The keys shall have quotes so that they are correcly treated by Transifex : write  "1" => ... and not 1 => ...
// Les clés doivent avoir des guillemets pour que ce soit traité correctement par Transifex : indiquez "1" => ... et non pas 1 => ...

$peel_pays["pays"] = array(
  "FRA" => "Franţa",
  "AFG" => "Afganistan",
  "ZAF" => "Africa de sud",
  "ALB" => "Albania",
  "DZA" => "Algeria",
  "DEU" => "Germania",
  "SAU" => "Arabia Saudită",
  "ARG" => "Argentina",
  "AUS" => "Australia",
  "AUT" => "Austria",
  "BEL" => "Belgia",
  "BRA" => "Brazilia",
  "BGR" => "Bulgaria",
  "CAN" => "Canada",
  "CHL" => "Chile",
  "CHN" => "China ( Rep. pop)",
  "COL" => "Columbia",
  "KOR" => "Corea de sud",
  "CRI" => "Costa Rica",
  "HRV" => "Croaţia",
  "DNK" => "Danemarca",
  "EGY" => "Egipt",
  "ARE" => "Emiratele Arabe unite",
  "ECU" => "Ecuator",
  "USA" => "Statele Unite",
  "SLV" => "El Salvador",
  "ESP" => "Spania",
  "FIN" => "Finlanda",
  "GRC" => "Grecia",
  "HKG" => "Hong Kong",
  "HUN" => "Ungaria",
  "IND" => "India",
  "IDN" => "Indonezia",
  "IRL" => "Irlanda",
  "ISR" => "Israel",
  "ITA" => "Italia",
  "JPN" => "Japonia",
  "JOR" => "Iordania",
  "LBN" => "Liban",
  "MYS" => "Malaezia",
  "MAR" => "Maroc",
  "MEX" => "Mexic",
  "NOK" => "Norvegia",
  "NZL" => "Noua Zeelandă",
  "PER" => "Peru",
  "PAK" => "Pakistan",
  "NLD" => "Olanda",
  "PHL" => "Filipine",
  "POL" => "Polonia",
  "PRI" => "Porto Rico",
  "PRT" => "Portugalia",
  "CZE" => "Cehia (Rep.)",
  "ROU" => "România",
  "GBR" => "Regatul - Unit ( UK)",
  "RUS" => "Rusia",
  "SGP" => "Singapore",
  "SWE" => "Suedia",
  "CHE" => "Elveţia",
  "TWN" => "Taiwan",
  "THA" => "Tailanda",
  "TUR" => "Turcia",
  "UKR" => "Ucraina",
  "VEN" => "Venezuela",
  "SRB" => "Serbia",
  "AND" => "Andora",
  "AGO" => "Angola",
  "AIA" => "Anguilla",
  "ATA" => "Antarctica",
  "ATG" => "Antigua şi Barbuda",
  "ARM" => "Armenia",
  "ABW" => "Aruba",
  "AZE" => "Azerbaidjan",
  "BHS" => "Bahamas",
  "BHR" => "Bahrein",
  "BGD" => "Bangladesh",
  "BLR" => "Bielorusia",
  "BLZ" => "Belize",
  "BEN" => "Benin",
  "BMU" => "Bermudes (ile)",
  "BTN" => "Bhoutan",
  "BOL" => "Bolivia",
  "BIH" => "Bosniea-Herzegovina",
  "BWA" => "Botswana",
  "BVT" => "Norvegia - Bouvet (Ile)",
  "IOT" => "Terr. Brit. de la Oceanul Indian - Diego Garcia",
  "VGB" => "Virgine  britanice (Ile)",
  "BRN" => "Brunei",
  "BFA" => "Burkina Faso",
  "BDI" => "Burundi",
  "KHM" => "Cambodgia",
  "CMR" => "Camerun",
  "CPV" => "Capului Verde",
  "CYM" => "Cayman (Ile)",
  "CAF" => "Centrafricană (Rep.)",
  "TCD" => "Ciad",
  "CXR" => "Australia - Christmas (Ila)",
  "CCK" => "Australia - Cocos (Keeling) (Ile)",
  "COM" => "Comore",
  "COG" => "Congo",
  "COK" => "Cook ( Insulele Cook)",
  "CUB" => "Cuba",
  "CYP" => "Cipru",
  "DJI" => "Djibouti",
  "DMA" => "Dominica",
  "DOM" => "Dominicană (Rep.)",
  "TLS" => "Timorul oriental",
  "GNQ" => "Guineea Ecuatoriala",
  "ERI" => "Erythr",
  "EST" => "Estonia",
  "ETH" => "Etiopia",
  "FLK" => "Falkland (Ile Malouine)",
  "FRO" => "Feroe ( Insulele )",
  "FJI" => "Fiji (Republica )",
  "GUF" => "Franţa - Guyana",
  "PYF" => "Franţa- Polynezia",
  "ATF" => "Franţa- Teritorii australe",
  "GAB" => "Gabon",
  "GMB" => "Gambia",
  "GEO" => "Georgia",
  "GHA" => "Ghana",
  "GIB" => "Gibraltar",
  "GRL" => "Groerlanda",
  "GRD" => "Grenada",
  "GLP" => "Franţa - Guadeloupe",
  "GUM" => "Guam",
  "GTM" => "Guatemala",
  "GIN" => "Guiana",
  "GNB" => "Guineea-Bissau",
  "HTI" => "Haiti",
  "HMD" => "Australia- Heard et McDonald (Ile)",
  "HND" => "Honduras",
  "ISL" => "Islanda",
  "IRN" => "Iran",
  "IRQ" => "Irak",
  "CIV" => "Cote d'Ivoire",
  "JAM" => "Jamaica",
  "KAZ" => "Kazakhstan",
  "KEN" => "Kenia",
  "KIR" => "Kiribati",
  "KWT" => "Kuweit",
  "KGZ" => "Kirghizistan",
  "LAO" => "Laos",
  "LVA" => "Letonia",
  "LSO" => "Lesotho",
  "LBR" => "Liberia",
  "LBY" => "Libia",
  "LIE" => "Liechtenstein",
  "LTU" => "Lituania",
  "LUX" => "Luxemburg",
  "MAC" => "Macao",
  "MKD" => "Macedonia",
  "MDG" => "Madagascar",
  "MWI" => "Malawi",
  "MDV" => "Maldive (Ile)",
  "MLI" => "Mali",
  "MLT" => "Malta",
  "MHL" => "Marshall (Ile)",
  "MTQ" => "Franţa=Martinica",
  "MRT" => "Mauritania",
  "MUS" => "Maurice",
  "MYT" => "Franţa- Mayotte",
  "FSM" => "Micronezia (Statete federale)",
  "MDA" => "Moldova",
  "MCO" => "Monaco",
  "MNG" => "Mongolia",
  "MSR" => "Montserrat",
  "MOZ" => "Mozambic",
  "MMR" => "Myanmar",
  "NAM" => "Namibia",
  "NRU" => "Nauru",
  "NPL" => "Nepal",
  "NCL" => "France - Noua Caledonie",
  "NIC" => "Nicaragua",
  "NER" => "Niger",
  "NGA" => "Nigeria",
  "NIU" => "Niue",
  "NFK" => "Australia - Norfolk (Ila)",
  "MNP" => "Marianne de Nord (Ile)",
  "OMN" => "Oman",
  "PLW" => "Palau",
  "PAN" => "Panama",
  "PNG" => "Papua-Noua-Guinee",
  "PRY" => "Paraguay",
  "PCN" => "Pitcairn (Ile)",
  "QAT" => "Qatar",
  "REU" => "Franţa - Reunion",
  "RWA" => "Rwanda",
  "SGS" => "Georgia de Sud şi Sandwich de Sud (Ile)",
  "KNA" => "Saint-Kitts şi Nevis",
  "LCA" => "Santa Lucia",
  "VCT" => "Saint-Vincent-şi-Grenadine",
  "WSM" => "Samoa",
  "SMR" => "San Marino ( Rep. de)",
  "STP" => "Sao Tome şi Principe (Rep.)",
  "SEN" => "Senegal",
  "SYC" => "Seychelle",
  "SLE" => "Sierra Leone",
  "SVK" => "Slovacia",
  "SVN" => "Slovenia",
  "SOM" => "Somalia",
  "LKA" => "Sri Lanka",
  "SHN" => "Santa Elena",
  "SPM" => "Franţa - Saint-Pierre-şi-Miquelon",
  "SDN" => "Sudan",
  "SUR" => "Surinam",
  "SJM" => "Norvegia- Svalbard şi Jan Mayen (Ile)",
  "SWZ" => "Swaziland",
  "SYR" => "Siria",
  "TJK" => "Tadjikistan",
  "TZA" => "Tanzania",
  "TGO" => "Togo",
  "TKL" => "Noua-Zeelandă - Tokelau",
  "TON" => "Tonga",
  "TTO" => "Trinidat  şi Tobago",
  "TUN" => "Tunisia",
  "TKM" => "Turkmenistan",
  "TCA" => "Turks et Caiq (Ile)",
  "TUV" => "Tuvalu",
  "UMI" => "Statele Unite : Insulele minore îndepărtate",
  "UGA" => "Uganda",
  "URY" => "Uruguay",
  "UZB" => "Uzbekistan",
  "VUT" => "Vanuatu",
  "VAT" => "Vatican (Statul)",
  "VNM" => "Vietnam",
  "VIR" => "Virgine Americane (Ile)",
  "WLF" => "Franţa  -  Wallis şi Futuna",
  "ESH" => "Sahara Occidentală",
  "YEM" => "Yemen",
  "COD" => "Congo Zaïre (Rep. Dem.)",
  "ZMB" => "Zambia",
  "ZWE" => "Zimbague",
  "BRB" => "Barbados",
  "MNE" => "Muntenegru"
);

