<?php
// This file should be in UTF8 without BOM - Accents examples: éèê
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2021 Advisto SAS, service PEEL - contact@peel.fr  |
// +----------------------------------------------------------------------+
// | This file is part of PEEL Shopping 9.4.0, which is subject to an	  |
// | opensource GPL license: you are allowed to customize the code		  |
// | for your own needs, but must keep your changes under GPL			  |
// | More information: https://www.peel.fr/lire/licence-gpl-70.html		  |
// +----------------------------------------------------------------------+
// | Author: Advisto SAS, RCS 479 205 452, France, https://www.peel.fr/	  |
// +----------------------------------------------------------------------+
// $Id: database_pays_ru.php 66961 2021-05-24 13:26:45Z sdelaporte $

if (!defined("IN_PEEL")) {
	die();
}

// The keys shall have quotes so that they are correcly treated by Transifex : write  "1" => ... and not 1 => ...
// Les clés doivent avoir des guillemets pour que ce soit traité correctement par Transifex : indiquez "1" => ... et non pas 1 => ...

$peel_pays["pays"] = array(
  'FRA' => 'Франция',
  'AFG' => 'Афганистан',
  'ZAF' => 'Южная Африка',
  'ALB' => 'Албания',
  'DZA' => 'Алжир',
  'DEU' => 'Германия',
  'SAU' => 'Саудовская Аравия',
  'ARG' => 'Аргентина',
  'AUS' => 'Австралия',
  'AUT' => 'Австрия',
  'BEL' => 'Бельгия',
  'BRA' => 'Бразилия',
  'BGR' => 'Болгария',
  'CAN' => 'Канада',
  'CHL' => 'Чили',
  'CHN' => 'Китай (Республика. поп.)',
  'COL' => 'Колумбия',
  'KOR' => 'Корея Южная',
  'CRI' => 'Коста-Рика',
  'HRV' => 'Хорватия',
  'DNK' => 'Дания',
  'EGY' => 'Египет',
  'ARE' => 'Объединенные Арабские Эмираты',
  'ECU' => 'Эквадор',
  'USA' => 'Соединенные Штаты Америки',
  'SLV' => 'Эль Сальвадор',
  'ESP' => 'Испания',
  'FIN' => 'Финляндия',
  'GRC' => 'Греция',
  'HKG' => 'Гонконг',
  'HUN' => 'Венгрия',
  'IND' => 'Индия',
  'IDN' => 'Индонезия',
  'IRL' => 'Ирландия',
  'ISR' => 'Израиль',
  'ITA' => 'Италия',
  'JPN' => 'Япония',
  'JOR' => 'Иордания',
  'LBN' => 'Ливан',
  'MYS' => 'Малайзия',
  'MAR' => 'Марокко',
  'MEX' => 'Мексика',
  'NOK' => 'Норвегия',
  'NZL' => 'Новая Зеландия',
  'PER' => 'Перу',
  'PAK' => 'Пакистан',
  'NLD' => 'Нидерланды',
  'PHL' => 'Филиппины',
  'POL' => 'Польша',
  'PRI' => 'Пуэрто-Рико',
  'PRT' => 'Португалия',
  'CZE' => 'Чешская (Респ.)',
  'ROU' => 'Румыния',
  'GBR' => 'Соединенное Королевство (UK)',
  'RUS' => 'Россия',
  'SGP' => 'Сингапур',
  'SWE' => 'Швеция',
  'CHE' => 'Швейцария',
  'TWN' => 'Тайвань',
  'THA' => 'Таиланд',
  'TUR' => 'Турция',
  'UKR' => 'Украина',
  'VEN' => 'Венесуэла',
  'SRB' => 'Югославии',
  'AND' => 'Андорра',
  'AGO' => 'Ангола',
  'AIA' => 'Ангилья',
  'ATA' => 'Антарктика',
  'ATG' => 'Антигуа и Барбуда',
  'ARM' => 'Армения',
  'ABW' => 'Аруба',
  'AZE' => 'Азербайджан',
  'BHS' => 'Багамские Острова',
  'BHR' => 'Бахрейн',
  'BGD' => 'Бангладеш',
  'BLR' => 'Беларусь',
  'BLZ' => 'Белиз',
  'BEN' => 'Бенин',
  'BMU' => 'Бермудские острова',
  'BTN' => 'Бутан',
  'BOL' => 'Боливия',
  'BIH' => 'Босния и Герцеговина',
  'BWA' => 'Ботсвана',
  'BVT' => 'Норвегия - Буве)',
  'IOT' => 'Земля. Brit. Индийский океан - Диего-Гарсия',
  'VGB' => 'Британские Виргинские острова)',
  'BRN' => 'Бруней',
  'BFA' => 'Буркина-Фасо',
  'BDI' => 'Бурунди',
  'KHM' => 'Камбоджа',
  'CMR' => 'Камерун',
  'CPV' => 'Кабо-Верде',
  'CYM' => 'Каймановы острова)',
  'CAF' => 'ЦАР (Респ.)',
  'TCD' => 'Чад',
  'CXR' => 'Австралия - Рождество (остров)',
  'CCK' => 'Австралия - Кокосовые (Килинг) острова)',
  'COM' => 'Коморские Острова',
  'COG' => 'Конго',
  'COK' => 'Острова Кука)',
  'CUB' => 'Куба',
  'CYP' => 'Кипр',
  'DJI' => 'Джибути',
  'DMA' => 'Доминик',
  'DOM' => 'Доминиканская (Респ.)',
  'TLS' => 'Тимор',
  'GNQ' => 'Экваториальная Гвинея',
  'ERI' => 'Египет',
  'EST' => 'Эстония',
  'ETH' => 'Эфиопия',
  'FLK' => 'Фолклендские (Мальвинские острова)',
  'FRO' => 'Фарерские острова)',
  'FJI' => 'Фиджи (Республика)',
  'GUF' => 'Франция - Гайана',
  'PYF' => 'Франция - Полинезия',
  'ATF' => 'Франция - страна australes',
  'GAB' => 'Габон',
  'GMB' => 'Гамбия',
  'GEO' => 'Грузия',
  'GHA' => 'Гана',
  'GIB' => 'Гибралтар',
  'GRL' => 'Гренландия',
  'GRD' => 'Гранатовый',
  'GLP' => 'Франция - Гваделупа',
  'GUM' => 'Гуам',
  'GTM' => 'Гватемала',
  'GIN' => 'ГУИН',
  'GNB' => 'Гвинея-Бисау',
  'HTI' => 'Гаити',
  'HMD' => 'Австралия - слышали и Макдональд острова)',
  'HND' => 'Гондурас',
  'ISL' => 'Исландия',
  'IRN' => 'Иран',
  'IRQ' => 'Ирак',
  'CIV' => 'Кот д \' Ивуар',
  'JAM' => 'Ямайка',
  'KAZ' => 'Казахстан',
  'KEN' => 'Кения',
  'KIR' => 'Кирибати',
  'KWT' => 'Кувейт',
  'KGZ' => 'Киргизия',
  'LAO' => 'Лаос',
  'LVA' => 'Латвия',
  'LSO' => 'Лесото',
  'LBR' => 'Либерия',
  'LBY' => 'Ливия',
  'LIE' => 'Лихтенштейн',
  'LTU' => 'Литва',
  'LUX' => 'Люксембург',
  'MAC' => 'Макао',
  'MKD' => 'Македония',
  'MDG' => 'Мадагаскар',
  'MWI' => 'Малави',
  'MDV' => 'Мальдивские Острова (Острова)',
  'MLI' => 'Мали',
  'MLT' => 'Мальта',
  'MHL' => 'Маршалловы Острова)',
  'MTQ' => 'Франция - Мартиник',
  'MRT' => 'Мавритания',
  'MUS' => 'Морис',
  'MYT' => 'Франция - Майотта',
  'FSM' => 'Микронезия (Федеративные Штаты)',
  'MDA' => 'Молдова',
  'MCO' => 'Монако',
  'MNG' => 'Монголия',
  'MSR' => 'Монтсеррат',
  'MOZ' => 'Мозамбик',
  'MMR' => 'Мьянма',
  'NAM' => 'Намибия',
  'NRU' => 'Науру',
  'NPL' => 'Непал',
  'NCL' => 'Новая Каледония',
  'NIC' => 'Никарагуа',
  'NER' => 'Нигер',
  'NGA' => 'Нигерия',
  'NIU' => 'Ниуэ',
  'NFK' => 'Австралия - Норфолк (остров)',
  'MNP' => 'Северная Мариана (Острова)',
  'OMN' => 'Оман',
  'PLW' => 'Палау',
  'PAN' => 'Панама',
  'PNG' => 'Папуа Новая Гвинея',
  'PRY' => 'Парагвай',
  'PCN' => 'Питкэрн (Острова)',
  'QAT' => 'Катар',
  'REU' => 'Франция - Реуньон',
  'RWA' => 'Руанда',
  'SGS' => 'Южная Грузия и Сандвичевыми Юг (Острова)',
  'KNA' => 'Сент-Китс и Невис',
  'LCA' => 'Сант-Лусия',
  'VCT' => 'Сент-Винсент и Гренадины',
  'WSM' => 'Самоа',
  'SMR' => 'Сан-Марино (Республика)',
  'STP' => 'Сан-Томе и Принсипи (Респ.)',
  'SEN' => 'Сенегал',
  'SYC' => 'Сейшельские Острова',
  'SLE' => 'Сьерра-Леоне',
  'SVK' => 'Словакия',
  'SVN' => 'Словения',
  'SOM' => 'Сомали',
  'LKA' => 'Шри-Ланка',
  'SHN' => 'Хель Сент',
  'SPM' => 'Франция - Сен-Пьер и Микелон',
  'SDN' => 'Судан',
  'SUR' => 'Суринам',
  'SJM' => 'Норвегия - Шпицберген и Ян Майен (Острова)',
  'SWZ' => 'Свазиленд',
  'SYR' => 'Сирия',
  'TJK' => 'Таджикистан',
  'TZA' => 'Танзания',
  'TGO' => 'Того',
  'TKL' => 'Новая Зеландия - Токелау',
  'TON' => 'Тонга',
  'TTO' => 'Тринидад и Тобаго',
  'TUN' => 'Тунис',
  'TKM' => 'Туркменистан',
  'TCA' => 'Тёркс и Кайкос)',
  'TUV' => 'Тувалу',
  'UMI' => 'США: Удаленный мелкие острова',
  'UGA' => 'Уганда',
  'URY' => 'Уругвай',
  'UZB' => 'Узбекистан',
  'VUT' => 'Вануату',
  'VAT' => 'Ватикан (государство)',
  'VNM' => 'Вьетнам',
  'VIR' => 'Виргинские Америке (Острова)',
  'WLF' => 'Франция - Уоллис и Футуна',
  'ESH' => 'Западная Сахара',
  'YEM' => 'Йемен',
  'COD' => 'Конго Заира (Дем. Респ.)',
  'ZMB' => 'Замбия',
  'ZWE' => 'Зимбабве',
  'BRB' => 'Барбадос',
);
